Auteur Sujet: iPerf sous OMV (OpenMediaVault)  (Lu 1916 fois)

0 Membres et 1 Invité sur ce sujet

FrouStyLe^

  • Client SFR sur réseau Numericable
  • *
  • Messages: 100
  • FTTLA 100 Mb/s sur Vitry-sur-Seine (94)
iPerf sous OMV (OpenMediaVault)
« le: 09 août 2016 à 20:07:11 »
Bonjour,

J'ai un Hp proliant microserver gen8 sous OMV 2.2.5.
Je me suis dit qu'il serait parfait pour lancer un iPerf server.
OMV est basé sur Debian.

J'ai d'abord fait :

apt-get install iperf
Puis :

iperf -s
Ok pas de soucis, les tests fonctionnent bien. Il installe la v2.0.5-3 je crois. Puis comme il y a peut être des failles ou quoi, puis que je veux la dernière version je l'ai viré :

apt-get remove iperf
Alors je suis aller voir iperf.fr
Installation manuelle pour Ubuntu 64.

sudo apt-get remove iperf3 libiperf0
sudo wget -O /usr/lib/libiperf.so.0 https://iperf.fr/download/ubuntu/libiperf.so.0_3.1.3
sudo wget -O /usr/bin/iperf3 https://iperf.fr/download/ubuntu/iperf3_3.1.3
sudo chmod +x /usr/bin/iperf3
If iperf3 does not work : sudo apt-get install lib32z1

Ok c'est fait donc c'est parti :

root@openmediavault:~# iperf3 -s
iperf3: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/lib/libiperf.so.0)
iperf3: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.15' not found (required by /usr/lib/libiperf.so.0)

Il me renvoie ces deux erreurs !
J'ai installé lib32z1 mais pas mieux.

Du coup, 2 questions :
- comment virer proprement les 3 paquets que je viens d'installer si je le souhaite (remove ne fonctionne pas)
- comment résoudre les 2 erreurs (GLIBC 2.14 2.15)


Merci.  :o

vivien

  • Administrateur
  • *
  • Messages: 26 293
    • Twitter LaFibre.info
iPerf sous OMV (OpenMediaVault)
« Réponse #1 le: 09 août 2016 à 20:23:40 »
Du coup, 2 questions :
- comment virer proprement les 3 paquets que je viens d'installer si je le souhaite (remove ne fonctionne pas)
- comment résoudre les 2 erreurs (GLIBC 2.14 2.15)

Pour supprimer les paquets iperf3 : sudo apt-get remove iperf3 libiperf0

Les paquets (construit par le mainteneur Debian / Ubuntu de iperf3) fonctionnent parfaitement sous Ubuntu, même un peu ancien, donc je suis étonné.

Tu utilises quelle version de Debian ?

D'autres utilisateurs de Debian ont le même problème ?

FrouStyLe^

  • Client SFR sur réseau Numericable
  • *
  • Messages: 100
  • FTTLA 100 Mb/s sur Vitry-sur-Seine (94)
iPerf sous OMV (OpenMediaVault)
« Réponse #2 le: 09 août 2016 à 20:30:01 »
root@openmediavault:~# sudo apt-get remove iperf3 libiperf0
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet iperf3
E: Impossible de trouver le paquet libiperf0

et pour lib32z1 :

root@openmediavault:~# sudo apt-get remove lib32z1
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  libc6-i386
Veuillez utiliser « apt-get autoremove » pour le supprimer.
Les paquets suivants seront ENLEVÉS :
  lib32z1
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Après cette opération, 169 ko d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? o
(Lecture de la base de données... 47993 fichiers et répertoires déjà installés.)
Suppression de lib32z1 ...
Creating index of upgradeable packages ...
Creating index of openmediavault plugins ...

Néanmoins ça m'explique toujours pas pourquoi iperf3 me sort 2 erreurs. Je suis pas un pro  ;D
Comment connaitre la version Debian ? C'est OMV basé sur Debian après je sais pas x)

CaMeLiRiS

  • Client SFR fibre FTTH
  • *
  • Messages: 59
  • Marseille (13)
    • taxi marseille
iPerf sous OMV (OpenMediaVault)
« Réponse #3 le: 09 août 2016 à 20:36:16 »
slt ,

sinon y a aussi apt-get autoremove iperf et/ou aptitude purge iperf
purge etant plus efficace



FrouStyLe^

  • Client SFR sur réseau Numericable
  • *
  • Messages: 100
  • FTTLA 100 Mb/s sur Vitry-sur-Seine (94)
iPerf sous OMV (OpenMediaVault)
« Réponse #4 le: 09 août 2016 à 20:37:18 »
Mais ça concerne la v2 pas v3 ça non ?

Bon ça m'a viré "libc6-i386" en tout cas.

vivien

  • Administrateur
  • *
  • Messages: 26 293
    • Twitter LaFibre.info
iPerf sous OMV (OpenMediaVault)
« Réponse #5 le: 09 août 2016 à 20:39:00 »
J'ai mal lu ce que tu avais posté : tu n'a pas installé les paquets iperf3 3.1.3 .deb du maintenuer Debian (iPerf 3.1.3 - DEB package), mais ceux que j'ai compilé moi même en attendant leur arrivée (iperf3 3.1.3 - Manual installation).

Pour la suppression des 2 fichiers iperf3 3.1.3 installés manuellement :
sudo rm /usr/lib/libiperf.so.0
sudo rm /usr/bin/iperf3

tout simplement.

Pour l'installaiton, je t'invite a suivre le lien https://iperf.fr/iperf-download.php#more-recent

Vu la confusion, je pense qu'il est préférable que je supprime les fichiers "Manual installation" pour ne laisser que les .deb

FrouStyLe^

  • Client SFR sur réseau Numericable
  • *
  • Messages: 100
  • FTTLA 100 Mb/s sur Vitry-sur-Seine (94)
iPerf sous OMV (OpenMediaVault)
« Réponse #6 le: 09 août 2016 à 20:42:46 »
J'ai mal lu ce que tu avais posté : tu n'a pas installé les paquets iperf3 3.1.3 .deb du maintenuer Debian (iPerf 3.1.3 - DEB package), mais ceux que j'ai compilé moi même en attendant leur arrivée (iperf3 3.1.3 - Manual installation).

Pour la suppression des 2 fichiers iperf3 3.1.3 installés manuellement :
sudo rm /usr/lib/libiperf.so.0
sudo rm /usr/bin/iperf3

tout simplement.

Pour l'installaiton, je t'invite a suivre le lien https://iperf.fr/iperf-download.php#more-recent

Vu la confusion, je pense qu'il est préférable que je supprime les fichiers "Manual installation" pour ne laisser que les .deb

ok voila ce que ça dit :

root@openmediavault:~# sudo dpkg -i libiperf0_3.1.3-1_amd64.deb iperf3_3.1.3-1_amd64.deb
Sélection du paquet libiperf0:amd64 précédemment désélectionné.
(Lecture de la base de données... 47685 fichiers et répertoires déjà installés.)
Dépaquetage de libiperf0:amd64 (à partir de libiperf0_3.1.3-1_amd64.deb) ...
Sélection du paquet iperf3 précédemment désélectionné.
Dépaquetage de iperf3 (à partir de iperf3_3.1.3-1_amd64.deb) ...
dpkg: des problèmes de dépendances empêchent la configuration de libiperf0:amd64 :
 libiperf0:amd64 dépend de libc6 (>= 2.15) ; cependant :
  La version de libc6:amd64 sur le système est 2.13-38+deb7u11.

dpkg: erreur de traitement de libiperf0:amd64 (--install) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de iperf3 :
 iperf3 dépend de libiperf0 ; cependant :
 Le paquet libiperf0:amd64 n'est pas encore configuré.

dpkg: erreur de traitement de iperf3 (--install) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour « man-db »...
Des erreurs ont été rencontrées pendant l'exécution :
 libiperf0:amd64
 iperf3

CaMeLiRiS

  • Client SFR fibre FTTH
  • *
  • Messages: 59
  • Marseille (13)
    • taxi marseille
iPerf sous OMV (OpenMediaVault)
« Réponse #7 le: 09 août 2016 à 20:44:37 »

Vu la confusion, je pense qu'il est préférable que je supprime les fichiers "Manual installation" pour ne laisser que les .deb

a bah si toi aussi tu fais des bêtises  :P 8)

vivien

  • Administrateur
  • *
  • Messages: 26 293
    • Twitter LaFibre.info
iPerf sous OMV (OpenMediaVault)
« Réponse #8 le: 09 août 2016 à 20:45:23 »
Tu ne nous as pas dit quelle version de Debian tu as...

Visiblement il y a des dépendances qui sont trop anciennes, que ce soit par la version que j'ai compilée ou celle compilée par le mainteneur.

FrouStyLe^

  • Client SFR sur réseau Numericable
  • *
  • Messages: 100
  • FTTLA 100 Mb/s sur Vitry-sur-Seine (94)
iPerf sous OMV (OpenMediaVault)
« Réponse #9 le: 09 août 2016 à 20:48:27 »
Pardon  ;D

root@openmediavault:~# uname -a ; cat /etc/debian_version ; cat /etc/issue
Linux openmediavault 3.2.0-4-amd64 #1 SMP Debian 3.2.81-1 x86_64 GNU/Linux
7.11
openmediavault 2.2.5 (Stone burner) \n \l
Copyright (C) 2009-2016 by Volker Theile. All rights reserved.

vivien

  • Administrateur
  • *
  • Messages: 26 293
    • Twitter LaFibre.info
iPerf sous OMV (OpenMediaVault)
« Réponse #10 le: 09 août 2016 à 20:58:46 »
On a la réponse : tu es par sur la version stable de Debian (v8), mais sur la old-stable (v7).

libc6 de Debian 7 est vraiment ancienne, elle date de 2010 ou 2011 (Ubuntu 12.04 sortie bien avant intègre une libc6 plus récente que celle de Debian 7)

Si ce n'est pas indiscret, pourquoi rester sur cette version avec des composants qui ont plus de 5ans d'age ?

FrouStyLe^

  • Client SFR sur réseau Numericable
  • *
  • Messages: 100
  • FTTLA 100 Mb/s sur Vitry-sur-Seine (94)
iPerf sous OMV (OpenMediaVault)
« Réponse #11 le: 09 août 2016 à 21:01:21 »
Euh parce que le server est sous OMV 2.2.5 (base Debian) qui est orienté NAS.

Je ne sais pas si je peux mettre ça à jour indépendamment de OMV 2.2.5 qui est la dernière version stable (Avril 2016) ?

OMV v3 est en beta pour le moment, peut être que ce sera mis à jour une fois finalisé ?